body {
    font-family: "Noto Sans JP", "游ゴシック", YuGothic, "Hiragino Sans",
        "Hiragino Kaku Gothic ProN", sans-serif !important;
}
main {
    background-color: #FFF;
}
.zkai-text {
    font-family: "Noto Serif JP", "游明朝", "Yu Mincho", YuMincho,
        "Hiragino Mincho Pro", serif;
}
.carousel-caption h1 {
    color: #009cbd;
}
.carousel-item {
    height: 220px;
    text-align: center;
}
.attack_btn {
    background-color: #009cbd;
}
.ps_attack_btn {
    background-color: rgb(119, 189, 119);
}

.attack_btn:hover,
.ps_attack_btn:hover,
.link_btn:hover {
    opacity: 0.7;
}

.attack_btn:hover {
    background-color: #009cbd;
    opacity: 0.7;
    transform: scale(1.05);
    transition: all 0.3s;
}
.ps_attack_btn:hover {
    background-color: rgb(119, 189, 119);
    opacity: 0.7;
    transform: scale(1.05);
    transition: all 0.3s;
}
.link_btn:hover {
    opacity: 0.7;
    transform: scale(1.05);
    transition: all 0.3s;
}

.attack_btn img,
.ps_attack_btn img {
    width: 4rem;
}

form label {
    font-size: 0.93rem;
    line-height: 2.3;
}
.btn_wrap {
    width: 25%;
}
thead {
    background-color: #009ec0;
}
.fs {
    font-size: 1.55rem !important;
    color: #009ec0;
    font-weight: 500;
    letter-spacing: 0.2rem;
}
.fs2 {
    font-size: 1rem !important;
    color: #009ec0;
}
.fs3 {
    font-size: 1.1rem !important;
    letter-spacing: 0rem;
}
.tr {
    vertical-align: middle;
    font-size: 0.83rem;
}

select.form-control {
    color: #6c757d !important;
}
.table > :not(caption) > * > * {
    background-color: #5138381f !important;
}
.table {
    font-family: "Lato", sans-serif;
}
.table > :not(caption) > * > * {
    background-color: #51383800 !important;
}
.table thead th {
    /* 縦スクロール時に固定する */
    position: -webkit-sticky;
    position: sticky;
    top: -1px;
    /* tbody内のセルより手前に表示する */
    z-index: 1;
    background-color: #009dc0 !important;
}
tbody tr.selected {
    background-color: #aafcff; /* 薄い黄色 */
}

.th-100,
.td-100 {
    border-bottom: none;
    padding: 0.5rem !important;
}
.th-75,
.td-75 {
    border-bottom: none;
    padding: 0 0.5rem !important;
}
.th-50,
.td-50 {
    border-bottom: none;
    padding: 0 0.5rem !important;
}
.th-25,
.td-25 {
    border-bottom: none;
    padding: 0 0.5rem !important;
}
.judgment_notice li::marker {
    content: "■ ";
}

main {
    display: flex;
    flex-direction: column;
    min-height: 100vh; /* 画面全体を最低高さに設定 */
}
.main_wrap {
    flex: 1; /* コンテンツが短い場合、メイン部分を自動的に伸ばす */
}

@media screen and (min-width: 992px) {
    #attack_table th:nth-child(1) {
        width: 15%;
    }
    #attack_table th:nth-child(2) {
        width: 7%;
    }
    #attack_table th:nth-child(3) {
        width: 14%;
    }
    #attack_table th:nth-child(4) {
        width: 8%;
    }
    #attack_table th:nth-child(5) {
        width: 10%;
    }
    #attack_table th:nth-child(6) {
        width: 9%;
    }
    #attack_table th:nth-child(7) {
        width: 8%;
    }
    #attack_table th:nth-child(8) {
        width: 10%;
    }
    #attack_table th:nth-child(9) {
        width: 10%;
    }
    #attack_table th:nth-child(10) {
        width: 10%;
    }
}

@media screen and (max-width: 575px) {
    .table {
        --bs-table-border-color: var(--bs-border-color);
        width: 100%;
        margin-bottom: 1rem;
        vertical-align: top;
    }

    .tr {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        font-size: 0.9rem;
    }

    thead {
        margin-top: -0.05rem;
    }

    #attack_table .th-100,
    #attack_table .td-100 {
        width: 100%;
        border-bottom: none;
        padding: 0.25rem 0.5rem 0 !important;
    }
    #ps_attack_table .th-100 {
        width: 100%;
        border-bottom: none;
        padding: 0.25rem 0.5rem 0 !important;
    }
    #ps_attack_table .td-100 {
        width: 100%;
        border-bottom: none;
        padding: 0 0.5rem !important;
        line-height: 1rem;
    }
    .th-75,
    .td-75 {
        width: 75%;
        border-bottom: none;
        padding: 0 0.5rem !important;
    }
    .th-50,
    .td-50 {
        width: 50%;
        border-bottom: none;
        padding: 0 0.5rem !important;
    }
    .th-25,
    .td-25 {
        width: 25%;
        border-bottom: none;
        padding: 0 0.5rem !important;
    }

    #attack_table td:nth-child(9),
    #attack_table .tr th:nth-child(9) {
        padding-bottom: 0.5rem !important;
    }

    #ps_attack_table .tr th:last-child,
    #ps_attack_table .tr td:last-child {
        padding-bottom: 0.5rem !important;
    }

    .attack_btn span,
    .ps_attack_btn span {
        line-height: 1;
        font-size: 0.75rem;
    }
    h1.title {
        font-size: 1.5rem;
    }
    .notice {
        font-size: 0.75rem;
    }
    .btn_wrap {
        width: 100% !important;
    }
    .btn_wrap button {
        font-size: 0.9rem;
    }
    .table td,
    .table .th-100,
    .table .th-75,
    .table .th-50,
    .table .th-25 {
        font-size: 0.75rem;
        line-height: 1.25;
    }
    .fs {
        font-size: 1.25rem !important;
    }
    .fs2 {
        font-size: 0.8rem !important;
        color: #009ec0;
    }
    .carousel-inner {
        max-width: 70%;
        margin: 0 auto;
    }
    .table thead {
        position: -webkit-sticky;
        position: sticky;
        top: -1px;
        z-index: 1;
        background-color: #009dc0 !important;
    }
}

@media screen and (min-width: 576px) and (max-width: 991px) {
    .table {
        --bs-table-border-color: var(--bs-border-color);
        width: 100%;
        margin-bottom: 1rem;
        vertical-align: top;
    }

    .tr {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        padding: 0;
        font-size: 0.9rem;
    }

    .th-100,
    .td-100 {
        width: 100%;
        border-bottom: none;
        padding: 0 0.5rem !important;
    }
    #attack_table .th-100 {
        padding: 0.25rem 0.5rem 0 !important;
    }
    #ps_attack_table .th-100 {
        width: 100%;
        border-bottom: none;
        padding: 0.25rem 0.5rem 0 !important;
    }
    #ps_attack_table .td-100 {
        width: 100%;
        border-bottom: none;
        padding: 0 0.5rem !important;
        line-height: 1rem;
    }
    .th-75,
    .td-75 {
        width: 75%;
        border-bottom: none;
        padding: 0 0.5rem !important;
    }
    .th-50,
    .td-50 {
        width: 50%;
        border-bottom: none;
        padding: 0 0.5rem !important;
    }
    .th-25,
    .td-25 {
        width: 25%;
        border-bottom: none;
        padding: 0 0.5rem !important;
    }

    #attack_table td:nth-child(9),
    #attack_table .tr th:nth-child(9) {
        padding-bottom: 0.5rem !important;
    }

    #ps_attack_table .tr th:last-child,
    #ps_attack_table .tr td:last-child {
        padding-bottom: 0.5rem !important;
    }

    .btn_wrap {
        width: 50%;
    }
    .notice {
        font-size: 0.85rem;
    }
    .table td,
    .table .th-100,
    .table .th-75,
    .table .th-50,
    .table .th-25 {
        font-size: 0.8rem;
        line-height: 1.25;
    }
    .fs {
        font-size: 1.55rem !important;
    }
    .fs2 {
        font-size: 0.9rem !important;
        color: #009ec0;
    }
    .carousel-inner {
        max-width: 70%;
        margin: 0 auto;
    }
    .carousel-indicators {
        max-width: 70%;
        margin: 0 auto;
    }
    .table thead {
        position: -webkit-sticky;
        position: sticky;
        top: -1px;
        z-index: 1;
        background-color: #009dc0 !important;
    }
}
